MsWksDBParserInternal::SerialFormula Class Reference

a class to store the serial data which code a auto increment column with potential prefix and suffix in v4. More...

## Public Member Functions

| SerialFormula ()
| the constructor
void | updateContent (double value, MWAWCellContent &content) const
| update a content (knowing the value)

## Public Attributes

long | m_increment
| the increment
long | m_nextValue
| the first value
std::string | m_prefix
| the prefix
std::string | m_suffix
| the suffix

## Friends

std::ostream & | operator<< (std::ostream &o, SerialFormula const &form)
| operator<<

## Detailed Description

a class to store the serial data which code a auto increment column with potential prefix and suffix in v4.

## Constructor & Destructor Documentation

## SerialFormula()

MsWksDBParserInternal::SerialFormula::SerialFormula | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Member Function Documentation

## updateContent()

void MsWksDBParserInternal::SerialFormula::updateContent | ( | double | value,
|  | MWAWCellContent & | content ) const

update a content (knowing the value)

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SerialFormula const & | form )

friend

operator<<

## Member Data Documentation

## m_increment

long MsWksDBParserInternal::SerialFormula::m_increment

the increment

Referenced by operator<<, MsWksDBParser::readSerialFormula(), and SerialFormula().

## m_nextValue

long MsWksDBParserInternal::SerialFormula::m_nextValue

the first value

Referenced by operator<<, MsWksDBParser::readSerialFormula(), and SerialFormula().

## m_prefix

std::string MsWksDBParserInternal::SerialFormula::m_prefix

the prefix

Referenced by operator<<, MsWksDBParser::readSerialFormula(), SerialFormula(), and updateContent().

## m_suffix

std::string MsWksDBParserInternal::SerialFormula::m_suffix

the suffix

Referenced by operator<<, MsWksDBParser::readSerialFormula(), SerialFormula(), and updateContent().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx